fbpx

VMware Security Advisories – Mayo 2020

VMware Security Advisories – Mayo 2020

Fecha de publicación: 5 junio, 2020

VMSA-2020-0011

28 de mayo de 2020

1. Productos impactados
  • VMware ESXi
  • VMware Workstation Pro / Player (estación de trabajo)
  • VMware Fusion Pro / Fusion (Fusion)
  • VMware Remote Console para Mac (VMRC para Mac)
  • VMware Horizon Client para Mac
2. Introducción

Múltiples vulnerabilidades de seguridad en VMware ESXi, Workstation, Fusion, VMRC y Horizon Client se informaron de forma privada a VMware. Hay parches y soluciones disponibles para remediar o solucionar estas vulnerabilidades en los productos VMware afectados. 

3a. Aperturador de servicio – Problema del tiempo de verificación del tiempo de uso (TOCTOU) (CVE-2020-3957)

Descripción:

VMware Fusion, VMRC y Horizon Client contienen una vulnerabilidad de escalada de privilegios locales debido a un problema de tiempo de verificación (TOCTOU) en el abridor de servicio. VMware ha evaluado la gravedad de este problema para estar en el rango de gravedad importante con una puntuación base CVSSv3 máxima de 7.3.

Vectores de ataque conocidos:

La explotación exitosa de este problema puede permitir a los atacantes con privilegios de usuario normales escalar sus privilegios para rootear en el sistema donde están instalados Fusion, VMRC y Horizon Client.

Resolución:
Para remediar CVE-2020-3957, aplique los parches enumerados en la columna ‘Versión de resolución’ de la ‘Matriz de respuestas’ que se encuentra a continuación.

Soluciones alternativas:

Ninguna.

Documentaciones adicionales:

Ninguna.

Matriz de resolución:

ProductoVersiónQue se ejecuta enIdentificador de CVECVSSV3GravedadVersión de ResoluciónSoluciones alternativasDocumentos adicionales
Fusión11.xOS XCVE-2020-39577.3Importante11.5.5NingunaNinguna
VMRC para Mac11.xy anteriorOS XCVE-2020-39577.3ImportanteParche pendienteNingunaNinguna
Horizon Client para Mac5.xy anteriorOS XCVE-2020-39577.3ImportanteParche pendienteNingunaNinguna
3b. Vulnerabilidad de denegación de servicio en la funcionalidad de Shader (CVE-2020-3958)

Descripción:

VMware ESXi, Workstation y Fusion contienen una vulnerabilidad de denegación de servicio en la funcionalidad del shader. VMware ha evaluado la gravedad de este problema para estar en el rango de severidad moderada con una puntuación base CVSSv3 máxima de 4.0.

Vectores de ataque conocidos:

La explotación de este problema requiere que un atacante tenga acceso a una máquina virtual con gráficos 3D habilitados. No está habilitado de forma predeterminada en ESXi y está habilitado de forma predeterminada en Workstation y Fusion.

La explotación exitosa de este problema puede permitir que los atacantes con acceso no administrativo a una máquina virtual bloqueen el proceso vmx de la máquina virtual que conduce a una condición de denegación de servicio.

Resolución:

Para remediar CVE-2020-3958 aplique los parches enumerados en la columna ‘Versión de resolución’ de la ‘Matriz de respuesta’ que se encuentra a continuación.

Soluciones alternativas:

Las soluciones alternativas para CVE-2020-3958 se han enumerado en la columna ‘Soluciones alternativas’ de la ‘Matriz de respuestas’ a continuación.

Documentaciones adicionales:

Ninguna.

Matriz de resolución:

ProductoVersiónQue se ejecuta enIdentificador de CVECVSSV3GravedadVersión de ResoluciónSoluciones alternativasDocumentos adicionales
ESXi7.0NingunaCVE-2020-3958N / AN / AInafectoN / AN / A
ESXi6.7NingunaCVE-2020-39584.0ModerarESXi670-202004101-SGVer artículo 34Ninguna
ESXi6.5NingunaCVE-2020-39584.0ModerarESXi650-202005401-SGVer artículo 34Ninguna
Puesto de trabajo  15.xNingunaCVE-2020-39584.0Moderar15.5.2KB59146Ninguna
Fusión11.xOS XCVE-2020-39584.0Moderar11.5.2KB59146Ninguna
3c. Vulnerabilidad de pérdida de memoria en el módulo VMCI (CVE-2020-3959)

Descripción:

VMware ESXi, Workstation y Fusion contienen una vulnerabilidad de pérdida de memoria en el módulo VMCI. VMware ha evaluado la gravedad de este problema para estar en el rango de gravedad baja con una puntuación base CVSSv3 máxima de 3.3.

Vectores de ataque conocidos:

Un actor malintencionado con acceso local no administrativo a una máquina virtual puede bloquear el proceso vmx de la máquina virtual y provocar una denegación parcial del servicio.

Resolución:

Para remediar CVE-2020-3959 aplique los parches enumerados en la columna ‘Versión de Resolución’ de la ‘Matriz de respuesta’ que se encuentra a continuación.

Soluciones alternativas:

Ninguna.

Documentaciones adicionales:

Ninguna.

Matriz de resolución:

ProductoVersiónQue se ejecuta enIdentificador de CVECVSSV3GravedadVersión de ResoluciónSoluciones alternativasDocumentos adicionales
ESXi7.0NingunaCVE-2020-3959N / AN / AInafectadoN / AN / A
ESXi6.7NingunaCVE-2020-39593,3BajoESXi670-202004101-SGNingunaNinguna
ESXi6.5NingunaCVE-2020-39593,3BajoESXi650-202005401-SGNingunaNinguna
Puesto de trabajo  15.xNingunaCVE-2020-39593,3Bajo15.1.0NingunaNinguna
Fusión11.xOS XCVE-2020-39593,3Bajo11.1.0NingunaNinguna

4. Referencias

Versión (es) de resolución y notas de lanzamiento:

VMware ESXi 6.7 ESXi670-202004101-SG
https://my.vmware.com/group/vmware/patch
https://docs.vmware.com/en/VMware-vSphere/6.7/rn/esxi670-202004002.html


VMware ESXi 6.5 ESXi650-202005401-SG
https://my.vmware.com/group/vmware/patch
https://docs.vmware.com/en/VMware-vSphere/6.5/rn/esxi650-202005001.html

VMware Workstation Pro 15.5.2

Descargas y documentación:

https://www.vmware.com/go/downloadworkstation

https://docs.vmware.com/en/VMware-Workstation-Pro/index.html


VMware Workstation Player 15.5.2

Descargas y documentación:

https://www.vmware.com/go/downloadplayerhttps://docs.vmware.com/en/VMware-Workstation-Player/index.html

VMware Fusion 11.5.5 (más reciente)
Descargas y documentación:
https://www.vmware.com/go/downloadfusion
https://docs.vmware.com/en/VMware-Fusion/index.html

VMSA-2020-0010

19 de mayo de 2020

1. Productos afectados

VMware Cloud Director (anteriormente conocido como vCloud Director)

2. Introducción

Una vulnerabilidad de inyección de código en VMware Cloud Director se informó de manera privada a VMware. Hay parches y soluciones disponibles para remediar o solucionar esta vulnerabilidad en los productos VMware afectados.

3. VMware Cloud Director actualiza la vulnerabilidad de inyección de código de dirección (CVE-2020-3956)

Descripción:
VMware Cloud Director no maneja adecuadamente la entrada que conduce a una vulnerabilidad de inyección de código. VMware ha evaluado la gravedad de este problema para que se encuentre en el rango de severidad de imporante con una puntuación de base CVSSv3 máxima de 8.8.

Vectores de ataque conocidos:

Un actor no autenticado es posible que pueda enviar tráfico malicioso a VMware Cloud Director, lo que puede conducir a la ejecución arbitraria de código remoto. Esta vulnerabilidad puede explotarse a través de las interfaces de usuario basadas en HTML5 y Flex, la interfaz API Explorer y el acceso a la API.

Resolución:
Para remediar CVE-2020-3956, aplique los parches enumerados en la columna ‘Versión de Resolución’ de la ‘Matriz de respuestas’ que se encuentra a continuación.

Soluciones alternativas:
Las soluciones alternativas para CVE-2020-3956 se han documentado en el artículo de la base de conocimiento de VMware que figura en la columna ‘Soluciones alternativas’, en la ‘Matriz de respuestas’ que se encuentra a continuación.

Documentación adicional: ninguna.

Notas: ninguna. 

Matriz de resolución:

ProductoVersiónQue se ejecuta enIdentificador de CVECVSSV3GravedadVersión de ResoluciónSoluciones alternativasDocumentación adicional
VMware Cloud Director10.1.0Linux, dispositivo PhotonOSCVE-2020-3956N / AN / ANo afectadoN / AN / A
vCloud Director10.0.xLinux, dispositivo PhotonOSCVE-2020-39568.8Importante10.0.0.2KB79091Ninguna
vCloud Director9.7.xLinux, dispositivo PhotonOSCVE-2020-39568.8Importante9.7.0.5KB79091Ninguna
vCloud Director9.5.xLinux, dispositivo PhotonOSCVE-2020-39568.8Importante9.5.0.6KB79091Ninguna
vCloud Director9.1.xLinuxCVE-2020-39568.8Importante9.1.0.4KB79091Ninguna
vCloud Director9.0.xLinuxCVE-2020-3956N / AN / ANo afectadoN / AN / A
vCloud Director8.xLinuxCVE-2020-3956N / AN / ANo afectadoN / AN / A

4. Referencias

Descargas y documentación:

www.vmware.com/go/download/vcloud-director

vCloud Director 10.0.0.2
https://docs.vmware.com/en/VMware-Cloud-Director/10.0/rn/VMware-vCloud-Director-for-Service-Providers-10002-Release-Notes.html

vCloud Director 9.7.0.5
https://docs.vmware.com/en/VMware-Cloud-Director/9.7/rn/VMware-vCloud-Director-for-Service-Providers-9705-Release-Notes.html

vCloud Director 9.5.0.6
https://docs.vmware.com/en/VMware-Cloud-Director/9.5/rn/vCloud-Director-9506-for-Service-Providers-Release-Notes.html

vCloud Director 9.1.0.4
https://docs.vmware.com/en/VMware-Cloud-Director/9.1/rn/vCloud-Director-9104-for-Service-Providers-Release-Notes.html

Soluciones alternativas

https://kb.vmware.com/s/article/79091

VMSA-2020-0011

8 de mayo de 2020

1. Productos impactados
  • vRealize Operations Application Remote Collector (ARC)
2. Introducción

Se revelaron dos vulnerabilidades en Salt, un proyecto de código abierto de SaltStack, que se ha determinado que afectan a vRealize Operations Application Remote Collector (ARC). Hay parches y soluciones disponibles para abordar estas vulnerabilidades en los productos VMware afectados.

3. vRealize Operations Application Remote Collector (ARC) aborda las vulnerabilidades de omisión de autenticación (CVE-2020-11651) y de recorrido del directorio (CVE-2020-11652).

Descripción:

La aplicación Remote Collector (ARC) introducida con vRealize Operations 7.5 utiliza Salt, que se ve afectada por CVE-2020-11651 y CVE-2020-11652. VMware ha evaluado que CVE-2020-11651 (Bypass de autenticación) esté en el rango de gravedad crítica con un puntaje base CVSSv3 máximo de 10.0 y CVE-2020-11652 (Recorrido del directorio) para estar en el rango de severidad importante con un puntaje base CVSSv3 máximo de 7.5.

Vectores de ataque conocidos:
CVE-2020-11651 (Bypass de autenticación) puede permitir que un actor malicioso con acceso a la red al puerto 4505 o 4506 en el ARC tome el control del ARC y de cualquier máquina virtual en la que el ARC haya desplegado un agente de Telegraf. CVE-2020-11652 (Recorrido de directorio) puede permitir que un actor malicioso con acceso a la red al puerto 4505 o 4506 en el ARC acceda a la totalidad del sistema de archivos ARC.

Resolución:
Para remediar CVE-2020-11651 y CVE-2020-11652 aplique los parches enumerados en la columna ‘Versión de resolución’ de la ‘Matriz de respuesta’ a continuación a las implementaciones de ARC afectadas.

Soluciones alternativas:

Las soluciones alternativas para CVE-2020-11651 y CVE-2020-11652 se han documentado en el artículo de la Base de conocimiento de VMware que figura en la columna “Soluciones” de la “Matriz de respuesta” a continuación.

Documentación adicional:
Los parches para CVE-2020-11651 y CVE-2020-11652 deben aplicarse manualmente directamente a las implementaciones de ARC afectadas. Las instrucciones para hacerlo se han agregado a KB79031.

ProductoVersiónQue se ejecuta enIdentificador de CVECVSSV3GravedadVersión de ResoluciónSoluciones alternativasDocumentación adicional
ARCO8.1.0Dispositivo virtualCVE-2020-11651, CVE-2020-1165210,0Crítico8.1.0.38178
Compilación 16187903
KB79031KB79031
ARCO8.0.xDispositivo virtualCVE-2020-11651, CVE-2020-1165210,0Crítico8.0.1.38184
Compilación 16189281
KB79031KB79031
ARCO7.5.0Dispositivo virtualCVE-2020-11651, CVE-2020-1165210,0Crítico7.5.0.38179
Compilación 16188146
KB79031KB79031

4. Referencias

Descargas y documentación:
 Application Remote Collector (ARC) 8.1.0.38178 Build 16187903

https://my.vmware.com/web/vmware/details?downloadGroup=VROPS-810&productId=991&rPId=45691

Application Remote Collector (ARC) 8.0.1.38184 Build 16189281
https: / /my.vmware.com/web/vmware/details?downloadGroup=VROPS-801&productId=940&rPId=40733

Application Remote Collector (ARC) 7.5.0.38179 Build 16188146
https://my.vmware.com/web/vmware/details?downloadGroup = VROPS-750 & productId = 875 & rPId = 32115

Soluciones alternativas:
https://kb.vmware.com/s/article/79031

Divulgación de terceros:

https://community.saltstack.com/blog/critical-vulnerabilities-update-cve-2020-11651-and-cve-2020-11652/

PRIMERA calculadora CVSSv3:

CVE-2020-11651 – https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/ I: H / A: H
CVE-2020-11652 – https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S : U / C: H / I: N / A: N

Fuente: VMware

Alguna duda o información que necesites sobre este tema, contáctanos por cualquiera de nuestro medios disponibles. ¡Estaremos encantados de ayudarte!

 

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *